%define   anolis_release 24
Name:     zip
Version:  3.0
Release:  %{anolis_release}%{?dist}
License:  BSD
URL:      http://www.info-zip.org/Zip.html
Source:   http://downloads.sourceforge.net/infozip/%{name}30.tar.gz#/%{name}-%{version}.tar.gz
Summary:  A file compression and packaging utility compatible with PKZIP

Patch1:   0001-zip-3.0-format-security.patch

BuildRequires:  make
BuildRequires:  bzip2-devel, gcc
Requires:       unzip

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n zip30
%patch1 -p1 -b .format-security

%build
%{make_build} -f unix/Makefile prefix=%{_prefix} "CFLAGS_NOOPT=-I. -DUNIX $RPM_OPT_FLAGS" generic

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BULD_ROOT%{_mandir}/man1

%{make_install} -f unix/Makefile prefix=$RPM_BUILD_ROOT%{_prefix} \
        MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%generate_compatibility_deps

%files
%license LICENSE
%doc proginfo/algorith.txt
%dir %{abidir}
%{_bindir}/zipnote
%{_bindir}/zipsplit
%{_bindir}/zip
%{_bindir}/zipcloak
%{abidir}/zipnote-option.list
%{abidir}/zipsplit-option.list
%{abidir}/zip-option.list
%{abidir}/zipcloak-option.list
%{_mandir}/man1/zip.1*
%{_mandir}/man1/zipcloak.1*
%{_mandir}/man1/zipnote.1*
%{_mandir}/man1/zipsplit.1*

%files doc
%doc README CHANGES TODO WHATSNEW WHERE README.CR

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 3.0-24
- Bump release for upgrading from anolis 8

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.0-3
- optimise spec file

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0-2
- add api & add doc package

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 3.0-1
- Init zip for anolis os 23
